package com.xhkjedu.gateway.config;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

/**
 * @Description  读取配置文件类
 * @Date 2022/10/17 14:26
 **/
@Component
public class ConfigKey {

    public static Integer rqovertime;

    @Value("${rq.overtime}")
    public void setRqovertime(Integer rqovertime) {
        ConfigKey.rqovertime = rqovertime;
    }

    public static Integer redisumtime;//缓存用户权限模块有效时长

    @Value("${redisumtime}")
    public void setRedisumtime(Integer redisumtime) {
        ConfigKey.redisumtime = redisumtime;
    }

    public static Integer redismoduletime;//缓存模块对应操作有效时长

    @Value("${redismoduletime}")
    public void setRedismoduletime(Integer redismoduletime) {
        ConfigKey.redismoduletime = redismoduletime;
    }

}
